Summary: Library for extracting extra information from image files
Name: libexif
Version: 0.6.16
Release: 1
Group: System Environment/Libraries
License: LGPLv2+
URL: http://libexif.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2 
Patch1: %{name}-cve-2007-6351.patch
Patch2: %{name}-cve-2007-6352.patch
Patch3: %{name}-olympus-byte-order.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

BuildRequires: patch, gettext
Requires: gettext

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Files needed for libexif application development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config

%description devel
The libexif-devel package contains the libraries and header files
for writing programs that use libexif.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch1 -p1 -b .cve-2007-6351
%patch2 -p1 -b .cve-2007-6352
%patch3 -p1 -b .olympus-byte-order


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp ./libexif/.libs/libexif.so.12 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./libexif/.libs/libexif.a ./libexif.so.12


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

cd doc
gzip -dc libexif-api.html.tar.gz | tar xf -
chown -R root.system *

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING README NEWS
%{_libdir}/*.a
%{_datadir}/locale/*


%files devel
%defattr(-,root,system,-)
%doc doc/libexif-api.html
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Apr 15 2008 Michael Perzl <michael@perzl.org> - 0.6.16-1
- first version for AIX V5.1 and higher
